HAWKEN

Informations

Creator Nachricht
Tutul
Moderator

Warning

This installer is a beta script. It means that it might not work as expected

Informations

Platforms:
Downloads: 6532
Wine: 1.7.5

Feedbacks

Description

english

Hawken is a mech-based first-person shooter. The game takes place in a dystopian human-colonized planet industrialized to the point of collapse, in which the hunt for resources has become a battle for survival. The player assumes the role of a pilot of a bipedal battle mech, armed with a variety of ballistic cannons and missile weaponry. Relatively agile, these machines are also equipped with booster jets that allow them to travel faster and hover in short jumps. Unlike many other first-person shooters, weapons will have unlimited ammunition, but are prone to overheating during sustained fire. Overheating will shut down all weapons of the mech, forcing the player to find a safe place to recover. It will be possible to choose alternate weapons, equipment and upgrades for all mech types to match a play-style or to fill a specific role in a team. In combat, the player will be able to side dash, boost, and make 180° turns to compensate for the slow movements of the mech, which will in turn deplete the recharging fuel gauge rapidly. Turrets are also featured in the game as two types: stationary and placeable. Stationary turrets will be aligned to the team which activates the turret, while placeable turrets can be picked up and placed around the map by anyone.

 

français

Hawken est un FPS basé sur des mech. Le jeu se déroule sur une planète colonisé, industrialisée, au bord de l'effondrement, dans lequel la chasse aux ressources est devenu une lutte pour la survie. Le joueur assume le rôle de pilote d'une machine de bataille bipède, armé avec une variété de canons balistiques et de missile. Relativement agile, ces machines sont également équipées de jets d'appoint qui leur permettent de voyager plus vite et de planer en sautant. Contrairement à de nombreux autres FPS, les armes auront des munitions illimitées, mais sont sujettes à la surchauffe pendant un feu nourri. Une surchauffe arrêter toutes les armes de la machine, forçant le joueur à trouver un endroit sûr pour récupérer. Il sera possible de choisir des armes de rechange, l'équipement et les mises à jour pour tous les types de mech pour correspondre à un style de jeu ou pour remplir un rôle spécifique dans une équipe. En combat, le joueur sera en mesure de faire virages à 180° pour compenser les mouvements lents de la machine.

Source code

#!/bin/bash
# Date : (2014-11-18 12:12)
# Last revision : (2014-11-18 12:12)
# Wine version used : 1.7.5
# Distribution used to test : Fedora 20 - 64 bits
# Author : Tutul
# License : GNU/GPL v3
    
## Beta script ##
    
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
    
TITLE="HAWKEN"
PREFIX="HAWKEN"
EDITOR="Adhesive Games"
GAME_URL="http://www.playhawken.com/"
AUTHOR="Tutul"
GAME_VMS="256"
STEAM_ID="271290"
    
# Starting the script
POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2346
    
# Starting debugging API
POL_Debug_Init
    
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
    
# Setting Wine Version
WORKING_WINE_VERSION="1.7.5"
    
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
    
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
    
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
    
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
  
# Install mandatory dependencies
POL_Call POL_Install_xact
POL_Call POL_Install_xinput
POL_Call POL_Install_d3dx9

# Prepare Steam
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
    
# Run the install
POL_Wine_WaitBefore "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
POL_Wine_WaitExit "$TITLE"
    
# Making shortcut
POL_Shortcut "steam.exe" "$TITLE" "$TITLE.png" "steam://rungameid/$STEAM_ID" "Game;"

#Closing POL
POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Nachricht
Tutul Tuesday 18 November 2014 at 12:13
Tutul
Moderator

Information

This update has been approved by the team.

Nachricht

First script.

Game crash and multiple error to fix
 

Differences

@@ -0,0 +1,68 @@
+#!/bin/bash
+# Date : (2014-11-18 12:12)
+# Last revision : (2014-11-18 12:12)
+# Wine version used : 1.7.5
+# Distribution used to test : Fedora 20 - 64 bits
+# Author : Tutul
+# License : GNU/GPL v3
+    
+## Beta script ##
+    
+[ "$PLAYONLINUX" = "" ] && exit 1
+source "$PLAYONLINUX/lib/sources"
+    
+TITLE="HAWKEN"
+PREFIX="HAWKEN"
+EDITOR="Adhesive Games"
+GAME_URL="http://www.playhawken.com/"
+AUTHOR="Tutul"
+GAME_VMS="256"
+STEAM_ID="271290"
+    
+# Starting the script
+POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
+POL_SetupWindow_Init
+POL_SetupWindow_SetID 2346
+    
+# Starting debugging API
+POL_Debug_Init
+    
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+    
+# Setting Wine Version
+WORKING_WINE_VERSION="1.7.5"
+    
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+    
+# Downloading wine if necessary and creating prefix
+POL_System_SetArch "x86"
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+    
+# Asking about memory size of graphic card
+POL_SetupWindow_VMS $GAME_VMS
+    
+# Set Graphic Card information keys for wine
+POL_Wine_SetVideoDriver
+  
+# Install mandatory dependencies
+POL_Call POL_Install_xact
+POL_Call POL_Install_xinput
+POL_Call POL_Install_d3dx9
+
+# Prepare Steam
+POL_Call POL_Install_steam
+POL_Call POL_Install_steam_flags "$STEAM_ID"
+    
+# Run the install
+POL_Wine_WaitBefore "$TITLE"
+cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+POL_Wine_WaitExit "$TITLE"
+    
+# Making shortcut
+POL_Shortcut "steam.exe" "$TITLE" "$TITLE.png" "steam://rungameid/$STEAM_ID" "Game;"
+
+#Closing POL
+POL_SetupWindow_Close
+exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Date : (2014-11-18 12:12)
# Last revision : (2014-11-18 12:12)
# Wine version used : 1.7.5
# Distribution used to test : Fedora 20 - 64 bits
# Author : Tutul
# License : GNU/GPL v3
    
## Beta script ##
    
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
    
TITLE="HAWKEN"
PREFIX="HAWKEN"
EDITOR="Adhesive Games"
GAME_URL="http://www.playhawken.com/"
AUTHOR="Tutul"
GAME_VMS="256"
STEAM_ID="271290"
    
# Starting the script
POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
POL_SetupWindow_Init
POL_SetupWindow_SetID 2346
    
# Starting debugging API
POL_Debug_Init
    
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
    
# Setting Wine Version
WORKING_WINE_VERSION="1.7.5"
    
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
    
# Downloading wine if necessary and creating prefix
POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
    
# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
    
# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver
  
# Install mandatory dependencies
POL_Call POL_Install_xact
POL_Call POL_Install_xinput
POL_Call POL_Install_d3dx9

# Prepare Steam
POL_Call POL_Install_steam
POL_Call POL_Install_steam_flags "$STEAM_ID"
    
# Run the install
POL_Wine_WaitBefore "$TITLE"
cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
POL_Wine_WaitExit "$TITLE"
    
# Making shortcut
POL_Shortcut "steam.exe" "$TITLE" "$TITLE.png" "steam://rungameid/$STEAM_ID" "Game;"

#Closing POL
POL_SetupWindow_Close
exit 0

Antworten

Anonymous
Wednesday 23 December 2015 at 21:43
It won't start up now.

Editiert von: Tutul